<?php

$gesamt = 0;

$flag = true;

while ($gesamt < 21 && $flag == true) {
    $wuerfeln = rand(1,6);

    if ($wuerfeln == 6) {
        echo "Gefürfelt: $wuerfeln. Die schleife wird verlassen";
        $flag = false;

    }
    else {
    $gesamt += $wuerfeln;

    echo "Gewürfelt: $wuerfeln, Gesamt: $gesamt<br>";
    }
}

?>